package com.qmth.sop.business.bean.auth;

import com.qmth.sop.business.entity.SysOrg;
import com.qmth.sop.business.entity.SysRole;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * @Description: 鉴权 bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/26
 */
public class AuthBean implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "角色集合")
    private List<SysRole> roleList;

    @ApiModelProperty(name = "url集合")
    private Set<String> urls;

    @ApiModelProperty(name = "机构信息")
    private SysOrg org;

    public AuthBean() {

    }

    public AuthBean(List<SysRole> roleList, Set<String> urls) {
        this.roleList = roleList;
        this.urls = urls;
    }

    public AuthBean(List<SysRole> roleList, Set<String> urls, SysOrg org) {
        this.roleList = roleList;
        this.urls = urls;
        this.org = org;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public List<SysRole> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<SysRole> roleList) {
        this.roleList = roleList;
    }

    public Set<String> getUrls() {
        return urls;
    }

    public void setUrls(Set<String> urls) {
        this.urls = urls;
    }

    public SysOrg getOrg() {
        return org;
    }

    public void setOrg(SysOrg org) {
        this.org = org;
    }
}
